<?php 
/*************************** CaptchaGuest Valeurs *********************************/
/* Solution de securite pour limiter l'acces des robots spameurs */
/* Base sur une proposition de vin100 sur le forum PunBbFr */
/* voir : <http://www.punbb.fr/forums/viewtopic.php?pid=30840> */
/* Evolution grace a une contribution de BertrandB des forums PunBbFr */
/* Realisation : FredoMkb (c) 2007 */
/********************************************************************************/
/* Ce fichier contient las listes des questions a poser pour valider le Captcha */
/* ainsi que les differentes options de traitement. */
/* Placez ce fichier au meme niveau que le fichier Php nomme "post.php" */
/* de votre forum PunBb. */
/********************************************************************************/

// Tableau des options de traitement (a adapter selon vos besoins)
$captchaConfig = array (
	'limite' => 3, // Nombre de tentatives de post
	'logOk' => 1, // Sauvegarde de tentatives de post : 1 = oui - 0 = non
	'logFile' => 'CaptchaGuestLog.txt' // Fichier contenant des infos sur les tentatives de post
	// Comme il s'agit d'une mod libre et accessible a tout le monde,
	// n'hesitez pas a modifier le nom de ce fichier contenant les tentatives de post
	// afin d'eviter que d'autres personnes ne puissent consulter ces informations.
);

// Tableau des conseils (a adapter selon vos besoins)
$conseilsList = array(
	'Et si vous mettiez vos lunettes l&agrave;... hein ? ;-)',
	'Je crois vous devriez vous faire aider l&agrave;... ;-)',
	'Accrochez-vous... vous allez y arriver... ;-)',
	'Et bein... vous devriez changer de cerveau... ;-)',
	'Et si vous utilisiez une calculette l&agrave;... non ? ;-)',
	'Euh... vous devriez vous r&eacute;poser un peu l&agrave;... ;-)',
	'&Ccedil;a alors... vous devriez retouner &agrave; l\'&eacute;cole... ;-)',
	'Faut pas d&eacute;primer... &ccedil;a arrive &agrave; tout le monde... ;-)',
	'Vous devriez vous procurer quelques neurones... ;-)',
	'Faut pas vous d&eacute;courager... vous y &ecirc;tes presque... ;-)'
);

// Tableau questions/reponses numerique (a adapter selon vos besoins).
$captchaListNum = array (
	'infos' => array (
		'libelle' => 'Veuillez noter le r&eacute;sultat de l\'op&eacute;ration suivante&nbsp;:&nbsp; ', 
		'inputSize' => 5, 
		'inputMax' => 10
	),
	'1 + 3' => '4',
	'1 - 1' => '0',
	'2 + 6' => '8',
	'2 - 1' => '1',
	'3 + 6' => '9',
	'3 - 2' => '1',
	'4 + 8' => '12',
	'4 - 2' => '2',
	'5 + 3' => '8',
	'5 - 2' => '3',
	'6 + 4' => '10',
	'6 - 3' => '3',
	'7 + 6' => '13',
	'7 - 3' => '4',
	'8 + 7' => '15',
	'8 - 3' => '5',
	'9 + 9' => '18',
	'9 - 2' => '7',
	'10 + 4' => '14',
	'10 - 4' => '6'
);

// Tableau questions/reponses textuel (a adapter selon vos besoins).
$captchaListTxt = array(
	'infos' => array(
		'libelle' => 'Veuillez noter le r&eacute;sultat num&eacute;rique de l\'op&eacute;ration suivante&nbsp;:&nbsp; ',
		'inputSize' => 5,
		'inputMax' => 10
	),
	'Un plus trois' => '4',
	'Un moins un' => '0',
	'Deux plus six' => '8',
	'Deux moins un' => '1',
	'Trois plus six' => '9',
	'Trois moins deux' => '1',
	'Quatre plus huit' => '12',
	'Quatre moins deux' => '2',
	'Cinq plus trois' => '8',
	'Cinc moins deux' => '3',
	'Six plus quatre' => '10',
	'Six moins trois' => '3',
	'Sept plus six' => '13',
	'Sept moins quatre' => '4',
	'Huit plus sept' => '15',
	'Huit moins trois' => '5',
	'Neuf plus neuf' => '18',
	'Neuf moins deux' => '7',
	'Dix plus quatre' => '14',
	'Dix moins quatre' => '6'
);

// Tableau questions/reponses choix (a adapter selon vos besoins).
$captchaListChx = array(
	'infos' => array(
		'libelle' => 'Veuillez noter la bonne r&eacute;ponse selon le choix suivant&nbsp;:&nbsp; ',
		'inputSize' => 10,
		'inputMax' => 20
	),
	'Un CD-Rom est carre ou rond ?' => 'rond',
	'Une tomate est rouge ou bleue ?' => 'rouge',
	'Une pierre est molle ou dure ?' => 'dure',
	'Le feu est chaud ou froid ?' => 'chaud',
	'Un citron est noir ou jaune ?' => 'jaune',
	'Un train roule ou vole ?' => 'roule',
	'Un ocean est petit ou grand ?' => 'grand',
	'Un glacier est froid ou chaud ?' => 'froid',
	'Un bateau vole ou flote ?' => 'flote',
	'Une montagne est haute ou basse ?' => 'haute'
);

// Tableau questions/reponses culture generale francaise (Cgf) (a adapter selon vos besoins).
$captchaListCgf = array(
	'infos' => array(
		'libelle' => 'Veuillez noter le mot (seul) r&eacute;pondant &agrave; la question suivante&nbsp;:&nbsp; ',
		'inputSize' => 10,
		'inputMax' => 20
	),
	'Quel liquide contient un stylo-plume ?' => 'encre',
	'Quelle est la couleur centrale du drapeaux de la France ?' => 'blanc',
	'Quelle ville est la capitale de la France ?' => 'paris',
	'Quel liquide contient une bouteille de bordeaux ?' => 'vin',
	'Quel fruit produit un pommier ? (au singulier)' => 'pomme',
	'Quel produit fabrique principalement un boulanger ?' => 'pain',
	'Quel animal de compagnie miaule ?' => 'chat',
	'Quelle est la monnaie actuelle de la France ?' => 'euro',
	'Quel est l\'acronyme de "Train a Grande Vitesse" ?' => 'tgv',
	'Quel est le premier jour de la semaine ?' => 'lundi'
);

$theListAll = array ($captchaListNum, $captchaListTxt, $captchaListChx, $captchaListCgf);

/************************** Fin CaptchaGuest Valeurs ********************************/
?>